GNU bug report logs - #42491
28.0.50; Gnus: Extract all Mime parts crashes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: David Kastrup <dak@HIDDEN>; Keywords: moreinfo; dated Thu, 23 Jul 2020 12:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42491 <at> debbugs.gnu.org:


Received: (at 42491) by debbugs.gnu.org; 2 Aug 2020 05:09:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 01:09:34 2020
Received: from localhost ([127.0.0.1]:41429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k26FZ-0000ks-Tt
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 01:09:34 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k26FY-0000kf-KH
 for 42491 <at> debbugs.gnu.org; Sun, 02 Aug 2020 01:09:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=gzNGoZhWd7f1jxEPBpnSyNuiQcTQcC7g6WyBGzZBh/o=; b=GiXQUExu4VMBWKEis2RbZxMeuX
 8FRkCV9WoY4FS55+bQbt8RpekioZ1JzuA/5CdcRyFDzn/HDRsDQkKVmjF69f4PUfaxbetcUsD/G0U
 BATHydAjSIa5NllBET5wmuzPgAflt9yJM6AWKtS/guL8x3bnb/jLGlheV1joH9hIcxI8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k26FJ-0004ex-Nk; Sun, 02 Aug 2020 07:09:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: David Kastrup <dak@HIDDEN>
Subject: Re: bug#42491: [gbrouwer@HIDDEN] Aw: Re: Konzertaufnahme
References: <87y2nauphf.fsf@HIDDEN> <87sgdganpv.fsf@HIDDEN>
 <87r1t0voup.fsf@HIDDEN> <87ime863p1.fsf@HIDDEN>
 <87r1swfx2q.fsf@HIDDEN> <875za862y1.fsf@HIDDEN>
Date: Sun, 02 Aug 2020 07:09:16 +0200
In-Reply-To: <875za862y1.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 27 Jul 2020 23:52:22 +0200")
Message-ID: <87tuxly6pv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > David Kastrup
 <dak@HIDDEN> writes: > >> At the moment I don't get to trigger it in the
 current active Emacs >> session. So I don't think it makes sense to focus
 on details of the >> message before [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42491
Cc: 42491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> David Kastrup <dak@HIDDEN> writes:
>
>> At the moment I don't get to trigger it in the current active Emacs
>> session.  So I don't think it makes sense to focus on details of the
>> message before I manage to create circumstances where the problem
>> reoccurs.
>
> Well, the problem is probably in how Gnus (mis-)interpreted a specific
> MIME structure...

Have you managed to reproduce this bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#42491; Package emacs,gnus. Full text available.

Message received at 42491 <at> debbugs.gnu.org:


Received: (at 42491) by debbugs.gnu.org; 27 Jul 2020 21:52:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 17:52:37 2020
Received: from localhost ([127.0.0.1]:55905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0B2y-00068s-WE
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2020 17:52:37 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k0B2x-00068e-Sn
 for 42491 <at> debbugs.gnu.org; Mon, 27 Jul 2020 17:52:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=0VvZGIGfJeWN9zOSBimaxW8zT47W0JBGk41OVW7o1g8=; b=fNJhkkcFJ1zDUeWx417h6A3EJj
 yxBPotjyO3Ctjv3ZfozFZTte6qv5SFHfIedt0RrayItMLahuJznsTPXHc6lUTBlVICmi1cIf20lDA
 PGlaAwXS5OJH97Wy2mOxv60M0mUQssVZOnBn81eMMHHVqz5zVZhQn5ARc9zZFoidLElQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k0B2l-0004xk-Qh; Mon, 27 Jul 2020 23:52:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: David Kastrup <dak@HIDDEN>
Subject: Re: bug#42491: [gbrouwer@HIDDEN] Aw: Re: Konzertaufnahme
References: <87y2nauphf.fsf@HIDDEN> <87sgdganpv.fsf@HIDDEN>
 <87r1t0voup.fsf@HIDDEN> <87ime863p1.fsf@HIDDEN>
 <87r1swfx2q.fsf@HIDDEN>
Date: Mon, 27 Jul 2020 23:52:22 +0200
In-Reply-To: <87r1swfx2q.fsf@HIDDEN> (David Kastrup's message of
 "Mon, 27 Jul 2020 23:49:01 +0200")
Message-ID: <875za862y1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: David Kastrup <dak@HIDDEN> writes: > At the moment I don't
 get to trigger it in the current active Emacs > session. So I don't think
 it makes sense to focus on details of the > message before I manage to create
 circumstances where the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42491
Cc: 42491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

David Kastrup <dak@HIDDEN> writes:

> At the moment I don't get to trigger it in the current active Emacs
> session.  So I don't think it makes sense to focus on details of the
> message before I manage to create circumstances where the problem
> reoccurs.

Well, the problem is probably in how Gnus (mis-)interpreted a specific
MIME structure...

> As I said: it was the first time I ever used that command (using it from
> the menu), it immediately failed, and I sent a bug report.

Yes, that's how it should be.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#42491; Package emacs,gnus. Full text available.

Message received at 42491 <at> debbugs.gnu.org:


Received: (at 42491) by debbugs.gnu.org; 27 Jul 2020 21:49:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 17:49:15 2020
Received: from localhost ([127.0.0.1]:55900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0Azj-000640-7l
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2020 17:49:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dak@HIDDEN>) id 1k0Azd-00063j-OH
 for 42491 <at> debbugs.gnu.org; Mon, 27 Jul 2020 17:49:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38109)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dak@HIDDEN>)
 id 1k0AzY-0002x5-Dz; Mon, 27 Jul 2020 17:49:04 -0400
Received: from x5d8723f1.dyn.telefonica.de ([93.135.35.241]:39528 helo=lola)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <dak@HIDDEN>)
 id 1k0AzX-0005vi-W9; Mon, 27 Jul 2020 17:49:04 -0400
From: David Kastrup <dak@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: [gbrouwer@HIDDEN] Aw: Re: Konzertaufnahme
References: <87y2nauphf.fsf@HIDDEN> <87sgdganpv.fsf@HIDDEN>
 <87r1t0voup.fsf@HIDDEN> <87ime863p1.fsf@HIDDEN>
Date: Mon, 27 Jul 2020 23:49:01 +0200
In-Reply-To: <87ime863p1.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 27 Jul 2020 23:36:10 +0200")
Message-ID: <87r1swfx2q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42491
Cc: 42491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> David Kastrup <dak@HIDDEN> writes:
>
>> I think the relevant lines would likely be
>
> [...]
>
>>  '(gnus-show-mime t)
>>  '(gnus-strict-mime nil)
>
> These don't exist any more...
>
> [...]
>
>>  '(mm-discouraged-alternatives '("text/html"))
>
> I thought perhaps this was the culprit here, but nope.
>
> [...]
>
>> That should be about anything gnus/mail related.
>
> The other ones I don't see how could influence `X m', so I'm not able to
> reproduce this problem.
>
> Perhaps all the MIME artefacts weren't preserved by the forwarding
> method...
>
> Could you instead save that message to a file (select with `C-u g' to
> get the raw article), gzip it, and then send it to me?

Ok, here is the beef: I don't get to reproduce the problem right now.  I
am not sure whether the original bug report includes lossage (it should,
I think) but I have no idea what might have triggered the problem now
(apart from having changed the mime forwarding option, but I cannot
image that this is involved here).

At the moment I don't get to trigger it in the current active Emacs
session.  So I don't think it makes sense to focus on details of the
message before I manage to create circumstances where the problem
reoccurs.

As I said: it was the first time I ever used that command (using it from
the menu), it immediately failed, and I sent a bug report.

-- 
David Kastrup




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#42491; Package emacs,gnus. Full text available.

Message received at 42491 <at> debbugs.gnu.org:


Received: (at 42491) by debbugs.gnu.org; 27 Jul 2020 21:36:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 17:36:26 2020
Received: from localhost ([127.0.0.1]:55865 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0AnJ-0005iz-OG
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2020 17:36:26 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k0AnI-0005im-7S
 for 42491 <at> debbugs.gnu.org; Mon, 27 Jul 2020 17:36:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=L0qw2iv/Imc4iVTZBuZc62uSTZ2g+cWAaNq9NdIosms=; b=W4P7ON38WDokp4QhMxsKyJ+s9w
 viM0ElUt8LV7MzUb8THAWXn9Lom96t2XT9uv9c8h0SLGBwa7/K/Si4YS3CEptccLaj2baE5D0mq9J
 0Pa9isnxHuVQ2z7pwJ8eXuC5nd9zDVWJUFYceThSz+jO2grgnU9wOgVaxHywZymBh3C4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k0An5-0004lq-7C; Mon, 27 Jul 2020 23:36:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: David Kastrup <dak@HIDDEN>
Subject: Re: [gbrouwer@HIDDEN] Aw: Re: Konzertaufnahme
References: <87y2nauphf.fsf@HIDDEN> <87sgdganpv.fsf@HIDDEN>
 <87r1t0voup.fsf@HIDDEN>
Date: Mon, 27 Jul 2020 23:36:10 +0200
In-Reply-To: <87r1t0voup.fsf@HIDDEN> (David Kastrup's message of
 "Fri, 24 Jul 2020 18:50:54 +0200")
Message-ID: <87ime863p1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  David Kastrup <dak@HIDDEN> writes: > I think the relevant
 lines would likely be [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42491
Cc: 42491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

David Kastrup <dak@HIDDEN> writes:

> I think the relevant lines would likely be

[...]

>  '(gnus-show-mime t)
>  '(gnus-strict-mime nil)

These don't exist any more...

[...]

>  '(mm-discouraged-alternatives '("text/html"))

I thought perhaps this was the culprit here, but nope.

[...]

> That should be about anything gnus/mail related.

The other ones I don't see how could influence `X m', so I'm not able to
reproduce this problem.

Perhaps all the MIME artefacts weren't preserved by the forwarding
method...

Could you instead save that message to a file (select with `C-u g' to
get the raw article), gzip it, and then send it to me?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#42491; Package emacs,gnus. Full text available.

Message received at 42491 <at> debbugs.gnu.org:


Received: (at 42491) by debbugs.gnu.org; 24 Jul 2020 16:51:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 24 12:51:08 2020
Received: from localhost ([127.0.0.1]:48657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jz0ua-0000pu-7P
	for submit <at> debbugs.gnu.org; Fri, 24 Jul 2020 12:51:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dak@HIDDEN>) id 1jz0uV-0000pI-5f
 for 42491 <at> debbugs.gnu.org; Fri, 24 Jul 2020 12:51:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56875)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dak@HIDDEN>)
 id 1jz0uP-0003p1-RJ; Fri, 24 Jul 2020 12:50:57 -0400
Received: from x5d85103b.dyn.telefonica.de ([93.133.16.59]:35414 helo=lola)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <dak@HIDDEN>)
 id 1jz0uP-0001C6-AX; Fri, 24 Jul 2020 12:50:57 -0400
From: David Kastrup <dak@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: [gbrouwer@HIDDEN] Aw: Re: Konzertaufnahme
References: <87y2nauphf.fsf@HIDDEN> <87sgdganpv.fsf@HIDDEN>
Date: Fri, 24 Jul 2020 18:50:54 +0200
In-Reply-To: <87sgdganpv.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 24 Jul 2020 18:21:00 +0200")
Message-ID: <87r1t0voup.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42491
Cc: 42491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> David Kastrup <dak@HIDDEN> writes:
>
>> Next try for extract all MIME...
>
> Looks like the MIME structure survived intact...  but I'm still not able
> to reproduce this bug.  (Cc'd to the bug report again.)
>
> I've had a look at the code that's failing, and that bit of
> gnus-summary-save-parts-1 hasn't changed in more than 20 years.
>
> Has this problem started happening recently?

I think it's the first time I tried that menu entry.

> Do you have any customisations in this area?

For sure.  I sent this using gnus-bug so it is a bit disappointing that
it didn't list gnus-related options.  Let me check my .emacs.

I think the relevant lines would likely be

 '(gnus-novice-user nil)
 '(gnus-secondary-select-methods
   '((nnml "private")
     (nnnil "news.arcor.de"
	    (nntp-open-connection-function nntp-open-ssl-stream)
	    (nntp-port-number 563))
     (nnnil "imap.arcor.de"
	    (nnimap-stream ssl))))
 '(gnus-select-method '(nnnil "localhost"))
 '(gnus-show-mime t)
 '(gnus-strict-mime nil)
 '(gnus-summary-goto-unread nil)
 '(gnus-use-adaptive-scoring '(word line))
 '(gnus-use-header-prefetch t)

 '(message-default-news-headers
   "X-Face: 2FEFf>]>q>2iw=B6,xrUubRI>pR&Ml9=ao@P@i)L:\\urd*t9M~y1^:+Y]'C0~{mAl`oQuAl
 \\!3KEIp?*w`|bL5qr,H)LFO6Q=qx~iH4DN;i\";/yuIsqbLLCh/!U#X[S~(5eZ41to5f%E@'ELIi$t^
 Vc\\LWP@J5p^rst0+('>Er0=^1{]M9!p?&:\\z]|;&=NP3AhB!B_bi^]Pfkw
Organization: Organization?!?
")
 '(message-dont-reply-to-names
   "\\<dak\\(@tupik.goethe.zz\\)?\\|\\<David.Kastrup@\\|\\<dakas@")
 '(message-forward-as-mime t)
 '(message-send-mail-function 'smtpmail-send-it)
 '(message-sendmail-f-is-evil t)
 '(message-user-fqdn "fencepost.gnu.org")

 '(mm-coding-system-priorities '(iso-8859-1 iso-8859-15 utf-8))
 '(mm-discouraged-alternatives '("text/html"))
 '(mml-secure-key-preferences
   '((OpenPGP
      (sign)
      (encrypt
       ("wl@HIDDEN" "E30674707856409FF1948010BE6C3AAC63AD8E3F")))
     (CMS
      (sign)
      (encrypt))))

 '(nnmail-split-methods '(("mail.misc" gnus-group-split)))

 '(query-user-mail-address nil)

 '(send-mail-function 'smtpmail-send-it)
 '(smtpmail-smtp-server "fencepost.gnu.org")
 '(smtpmail-smtp-service 587)

That should be about anything gnus/mail related.

-- 
David Kastrup




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#42491; Package emacs,gnus. Full text available.

Message received at 42491 <at> debbugs.gnu.org:


Received: (at 42491) by debbugs.gnu.org; 24 Jul 2020 16:21:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 24 12:21:14 2020
Received: from localhost ([127.0.0.1]:48622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jz0Re-000072-FJ
	for submit <at> debbugs.gnu.org; Fri, 24 Jul 2020 12:21:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jz0Rb-00006n-Lo
 for 42491 <at> debbugs.gnu.org; Fri, 24 Jul 2020 12:21:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Q7+60wv9E7rig3fc4v8gjYWs5211q9Wdbpp+3k2bCmA=; b=ogscUzscFOJybo0YRThvZQSzLO
 Ag+h6Kza10GR70i8inIu4nBYcd0huYchIokm7KPfNVSDdDgKNWaUe42fdbagtgcyq4h2nMI5J5AHJ
 61iTeCUa/R4yZ4ZG+lN/RiqqdQJwZEmzpKG1GSP/9wkLh5nYBs5FJblLWkXjMmQcVgOw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jz0RR-0003zF-UR; Fri, 24 Jul 2020 18:21:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: David Kastrup <dak@HIDDEN>
Subject: Re: [gbrouwer@HIDDEN] Aw: Re: Konzertaufnahme
References: <87y2nauphf.fsf@HIDDEN>
Date: Fri, 24 Jul 2020 18:21:00 +0200
In-Reply-To: <87y2nauphf.fsf@HIDDEN> (David Kastrup's message of
 "Thu, 23 Jul 2020 19:10:20 +0200")
Message-ID: <87sgdganpv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  David Kastrup <dak@HIDDEN> writes: > Next try for extract
 all MIME... Looks like the MIME structure survived intact... but I'm still
 not able to reproduce this bug. (Cc'd to the bug report again.) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42491
Cc: 42491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

David Kastrup <dak@HIDDEN> writes:

> Next try for extract all MIME...

Looks like the MIME structure survived intact...  but I'm still not able
to reproduce this bug.  (Cc'd to the bug report again.)

I've had a look at the code that's failing, and that bit of
gnus-summary-save-parts-1 hasn't changed in more than 20 years.

Has this problem started happening recently?  Do you have any
customisations in this area?





Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#42491; Package emacs,gnus. Full text available.

Message received at 42491 <at> debbugs.gnu.org:


Received: (at 42491) by debbugs.gnu.org; 23 Jul 2020 13:17:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 23 09:17:01 2020
Received: from localhost ([127.0.0.1]:44373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jyb5p-0006wI-LR
	for submit <at> debbugs.gnu.org; Thu, 23 Jul 2020 09:17:01 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jyb5n-0006vt-FL
 for 42491 <at> debbugs.gnu.org; Thu, 23 Jul 2020 09:17:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ykamTy7xDqnYVFEY2LJIPjpM+IlSmYe2Ik2F8MlKrT0=; b=tOVQcTTxoH73jSNGdFT/PYQPO7
 jIaMe/nVLHhQZuLaO3Ds1qPKQJrK4ihUvwo1tYiYc3OkLdcHS0yCQRUevL44QD2jqonu5OyXgaMDo
 2j5pL15EjGSq/zrW+12jlLufZktneLpp3XrgY5gs5gr/iofEE0QrwBvRLuP9LBPtIaS8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jyb5e-0005pv-Cr; Thu, 23 Jul 2020 15:16:53 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: David Kastrup <dak@HIDDEN>
Subject: Re: bug#42491: 28.0.50; Gnus: Extract all Mime parts crashes
References: <87h7tywfst.fsf@HIDDEN>
Date: Thu, 23 Jul 2020 15:16:49 +0200
In-Reply-To: <87h7tywfst.fsf@HIDDEN> (David Kastrup's message of
 "Thu, 23 Jul 2020 14:56:34 +0200")
Message-ID: <87zh7qnzge.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  David Kastrup <dak@HIDDEN> writes: > Using the Menu entry
 Article/MIME/Extract all parts (X m) for a mail > containing images and
 answering
 the mime type prompt with RET for > accepting the default, I get the following
 crash > > Debugg [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42491
Cc: 42491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

David Kastrup <dak@HIDDEN> writes:

> Using the Menu entry Article/MIME/Extract all parts (X m) for a mail
> containing images and answering the mime type prompt with RET for
> accepting the default, I get the following crash
>
> Debugger entered--Lisp error: (wrong-type-argument stringp #<buffer  *mm*-685344>)
>   string-match("image/.*" #<buffer  *mm*-685344>)
>   gnus-summary-save-parts-1("image/.*" "/tmp/orchester/" ((#("multipart/mixed"

I can't reproduce this with my test MIME messages.  Can you forward an
example message that has this problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#42491; Package emacs,gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jul 2020 12:56:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 23 08:56:41 2020
Received: from localhost ([127.0.0.1]:44342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jyam9-0006QM-9i
	for submit <at> debbugs.gnu.org; Thu, 23 Jul 2020 08:56:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:58916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dak@HIDDEN>) id 1jyam6-0006QB-PS
 for submit <at> debbugs.gnu.org; Thu, 23 Jul 2020 08:56:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42646)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dak@HIDDEN>) id 1jyam6-0003Y9-H8
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jul 2020 08:56:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41075)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dak@HIDDEN>) id 1jyam6-00086f-7q
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jul 2020 08:56:38 -0400
Received: from x2f38ee6.dyn.telefonica.de ([2.243.142.230]:52330 helo=lola)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <dak@HIDDEN>) id 1jyam5-00081p-4w
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jul 2020 08:56:37 -0400
From: David Kastrup <dak@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Gnus: Extract all Mime parts crashes
X-Debbugs-Package: emacs,gnus
Date: Thu, 23 Jul 2020 14:56:34 +0200
Message-ID: <87h7tywfst.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Using the Menu entry Article/MIME/Extract all parts (X m) for a mail
containing images and answering the mime type prompt with RET for
accepting the default, I get the following crash

Debugger entered--Lisp error: (wrong-type-argument stringp #<buffer  *mm*-6=
85344>)
  string-match("image/.*" #<buffer  *mm*-685344>)
  gnus-summary-save-parts-1("image/.*" "/tmp/orchester/" ((#("multipart/mix=
ed" 0 15 (start nil from "gbrouwer@HIDDEN" buffer #<buffer  *mm*> boundary =
"abmob-f02279a1-54f7-4c44-8a1b-440a13134613")) (#<buffer  *mm*-7731> ("text=
/html" (charset . "UTF-8")) nil #f(compiled-function () #<bytecode 0xdfeee7=
7424fce4f>) nil nil nil nil) (#<buffer  *mm*-990116> ("image/jpeg") base64 =
(lambda nil (let (... ...) (remove-images b b) (delete-region b ...))) ("at=
tachment" (filename . "P1050506.JPG")) nil (image :type jpeg :data "\377\33=
0\377\340\0\20JFIF\0\1\1\1\0\264\0\264\0\0\377\341\211\234Exif\0\0II*\0\10\=
0\0\0\16\0\17\1\2\0..." :scale 1) nil) (#<buffer  *mm*-267011> ("image/jpeg=
") base64 (lambda nil (let (... ...) (remove-images b b) (delete-region b .=
..))) ("attachment" (filename . "P1050507.JPG")) nil (image :type jpeg :dat=
a "\377\330\377\340\0\20JFIF\0\1\1\1\0\264\0\264\0\0\377\341\211\234Exif\0\=
0II*\0\10\0\0\0\16\0\17\1\2\0..." :scale 1) nil) (#<buffer  *mm*-807975> ("=
image/jpeg") base64 (lambda nil (let (... ...) (remove-images b b) (delete-=
region b ...))) ("attachment" (filename . "P1050510.JPG")) nil (image :type=
 jpeg :data "\377\330\377\340\0\20JFIF\0\1\1\1\0\264\0\264\0\0\377\341\211\=
234Exif\0\0II*\0\10\0\0\0\16\0\17\1\2\0..." :scale 1) nil) (#<buffer  *mm*-=
687324> ("image/jpeg") base64 (lambda nil (let (... ...) (remove-images b b=
) (delete-region b ...))) ("attachment" (filename . "P1050512.JPG")) nil (i=
mage :type jpeg :data "\377\330\377\340\0\20JFIF\0\1\1\1\0\264\0\264\0\0\37=
7\341\211\234Exif\0\0II*\0\10\0\0\0\16\0\17\1\2\0..." :scale 1) nil) (#<buf=
fer  *mm*-263433> ("image/jpeg") base64 (lambda nil (let (... ...) (remove-=
images b b) (delete-region b ...))) ("attachment" (filename . "P1120133.JPG=
")) nil (image :type jpeg :data "\377\330\377\340\0\20JFIF\0\1\1\1\0\264\0\=
264\0\0\377\341}\234Exif\0\0II*\0\10\0\0\0\15\0\17\1\2\0..." :scale 1) nil)=
 (#<buffer  *mm*-995676> ("image/jpeg") base64 (lambda nil (let (... ...) (=
remove-images b b) (delete-region b ...))) ("attachment" (filename . "P1120=
134.JPG")) nil (image :type jpeg :data "\377\330\377\340\0\20JFIF\0\1\1\1\0=
\264\0\264\0\0\377\341}\234Exif\0\0II*\0\10\0\0\0\15\0\17\1\2\0..." :scale =
1) nil) (#<buffer  *mm*-685344> ("image/jpeg") base64 (lambda nil (let (...=
 ...) (remove-images b b) (delete-region b ...))) ("attachment" (filename .=
 "P1120135.JPG")) nil (image :type jpeg :data "\377\330\377\340\0\20JFIF\0\=
1\1\1\0\264\0\264\0\0\377\341}\234Exif\0\0II*\0\10\0\0\0\15\0\17\1\2\0..." =
:scale 1) nil) (#<buffer  *mm*-267314> ("image/jpeg") base64 (lambda nil (l=
et (... ...) (remove-images b b) (delete-region b ...))) ("attachment" (fil=
ename . "P1120136.JPG")) nil (image :type jpeg :data "\377\330\377\340\0\20=
JFIF\0\1\1\1\0\264\0\264\0\0\377\341}\234Exif\0\0II*\0\10\0\0\0\15\0\17\1\2=
\0..." :scale 1) nil) (#<buffer  *mm*-121217> ("image/jpeg") base64 (lambda=
 nil (let (... ...) (remove-images b b) (delete-region b ...))) ("attachmen=
t" (filename . "P1120137.JPG")) nil (image :type jpeg :data "\377\330\377\3=
40\0\20JFIF\0\1\1\1\0\264\0\264\0\0\377\341}\234Exif\0\0II*\0\10\0\0\0\15\0=
\17\1\2\0..." :scale 1) nil) (#<buffer  *mm*-296837> ("image/jpeg") base64 =
(lambda nil (let (... ...) (remove-images b b) (delete-region b ...))) ("at=
tachment" (filename . "P1120139.JPG")) nil (image :type jpeg :data "\377\33=
0\377\340\0\20JFIF\0\1\1\1\0\264\0\264\0\0\377\341}\234Exif\0\0II*\0\10\0\0=
\0\15\0\17\1\2\0..." :scale 1) nil)) (#<buffer  *mm*-685344> ("image/jpeg")=
 base64 (lambda nil (let ((inhibit-read-only t)) (delete-region #<marker (m=
oves after insertion) at 2234 in *Article nnml+private:orchester*> #<marker=
 at 2234 in *Article nnml+private:orchester*>))) ("attachment" (filename . =
"P1120135.JPG")) nil (image :type jpeg :data "\377\330\377\340\0\20JFIF\0\1=
\1\1\0\264\0\264\0\0\377\341}\234Exif\0\0II*\0\10\0\0\0\15\0\17\1\2\0..." :=
scale 1) nil) (#<buffer  *mm*-990116> ("image/jpeg") base64 (lambda nil (le=
t ((inhibit-read-only t)) (delete-region #<marker (moves after insertion) a=
t 2042 in *Article nnml+private:orchester*> #<marker at 2042 in *Article nn=
ml+private:orchester*>))) ("attachment" (filename . "P1050506.JPG")) nil (i=
mage :type jpeg :data "\377\330\377\340\0\20JFIF\0\1\1\1\0\264\0\264\0\0\37=
7\341\211\234Exif\0\0II*\0\10\0\0\0\16\0\17\1\2\0..." :scale 1) nil)) nil)
  gnus-summary-save-parts("image/.*" "/tmp/orchester/" nil)
  funcall-interactively(gnus-summary-save-parts "image/.*" "/tmp/orchester/=
" nil)
  call-interactively(gnus-summary-save-parts nil nil)
  command-execute(gnus-summary-save-parts)


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.18, c=
airo version 1.16.0)
 of 2020-06-29 built on lola
Repository revision: 5a18b3a197cd32a9f639e3954c17058c4feb92ca
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Ubuntu 20.04 LTS

Recent messages:
No more unseen articles
No more unread articles
Viewing with eog %s
Displaying eog /tmp/emm.EgGPjD/P1120135.JPG...
Auto-saving...
Displaying eog /tmp/emm.EgGPjD/P1120135.JPG...done
Viewing with eog %s
Displaying eog /tmp/emm.E0WTyk/P1050506.JPG...done
Entering debugger...
Making completion list...

Configured using:
 'configure --without-toolkit-scroll-bars'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD PDUMPER LCMS2 GMP

Important settings:
  value of $LC_MONETARY: de_DE.UTF-8
  value of $LC_NUMERIC: POSIX
  value of $LC_TIME: de_DE.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  shell-dirtrack-mode: t
  TeX-PDF-mode: t
  minibuffer-electric-default-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/dak/.emacs.d/elpa/auctex-12.2.0/auctex hides /usr/local/share/emacs/s=
ite-lisp/auctex
/home/dak/.emacs.d/elpa/auctex-12.2.0/tex-site hides /usr/local/share/emacs=
/site-lisp/tex-site

Features:
(shadow emacsbug rect calc-math calc-bin calc-yank dabbrev calc-undo
calccomp texmathp misearch multi-isearch descr-text magit-utils dash pp
cus-edit calc-stuff calc-frac calc-poly calc-arith calc-misc calc-aent
calc-units calc-alg calc-ext calc-menu calc calc-loaddefs calc-macs
help-fns radix-tree cl-print debug backtrace find-func rfc2104 mailalias
smtpmail sendmail nnir flow-fill shr-color color sort smiley gnus-cite
mm-archive mail-extr gnus-async gnus-bcklg qp gnus-kill gnus-ml
disp-table pop3 nndraft gnutls network-stream nsm nndoc nndir nnmh nnml
nnfolder nnnil gnus-agent gnus-srvr gnus-score score-mode nnvirtual
gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig nntp
gnus-cache gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range message
rmc rfc822 mml mml-sec epa epg epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win cl-extra
help-mode meta-mode plain-tex eww url-queue url url-proxy url-privacy
url-expand url-methods url-history mailcap shr url-cookie url-domsuf
url-util svg dom puny mm-url mule-util conf-mode doc-view jka-compr
image-mode exif ps-mode vc-filewise vc-rcs gnuplot-gui cl gnuplot
info-look diary-lib diary-loaddefs cal-menu calendar cal-loaddefs
make-mode python tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat parse-time iso8601 ls-lisp
format-spec latexenc preview prv-emacs reporter reftex-dcr reftex-auc
reftex reftex-loaddefs reftex-vars tex-bar toolbar-x noutline outline
font-latex tex-mode shell pcomplete tex-buf latex derived edmacro kmacro
latex-flymake rx flymake-proc flymake warnings thingatpt tex-ispell
tex-style tex-info tex dbus xml crm texinfo dired-x dired dired-loaddefs
sh-script smie executable smerge-mode diff scheme lilypond-mode compile
comint ansi-color ring autorevert filenotify vc-git diff-mode easy-mmode
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs advice minibuf-eldef gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums text-property-search time-date
mail-utils mm-util mail-prsvr wid-edit desktop frameset cus-start
cus-load preview-latex server tex-site info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 1142810 91257)
 (symbols 48 74234 2)
 (strings 32 224390 33654)
 (string-bytes 1 11958106)
 (vectors 16 72027)
 (vector-slots 8 2646585 185090)
 (floats 8 511 546)
 (intervals 56 45061 666)
 (buffers 992 540))

--=20
David Kastrup




Acknowledgement sent to David Kastrup <dak@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN, bugs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#42491; Package emacs,gnus. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 2 Aug 2020 05:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.